
Foreman - Feature #22855

Add redux container for breadcrumb switcher

03/12/2018 02:22 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5396

  

Description

We need to actually add the breadcrumb switcher to the application.

Related issues:

Related to Foreman - Feature #22236: Add breadcrumbs to foreman UI Closed 01/10/2018

Related to Foreman - Bug #23222: Breadcrumbs switcher should be enabled on pu... Closed 04/11/2018

Related to Foreman - Bug #23225: breadcrumb switcher on host show page breaks... Closed 04/11/2018

Related to Foreman - Bug #23251: Breadcrumbs switcher needs visual adjustments Closed 04/12/2018

Related to Foreman - Bug #23250: Breadcrumb switcher links doesn't work on sm... New

Related to Foreman - Bug #23248: Breadcrumbs switcher uses wrong ids on compu... Closed 04/12/2018

Related to Foreman - Bug #23246: Breadcrumb switcher causes warnings in brows... Closed 04/12/2018

Related to Foreman - Bug #23249: In some pages, the bredcumb-switcher show in... Closed 04/12/2018

Related to OpenSCAP - Bug #23259: Resource switcher introduced in Foreman 1.1... Closed 04/12/2018

Related to virt-who configure - Bug #23260: Resource switcher introduced in F... Closed 04/12/2018

Related to Foreman - Feature #23364: Add search input to the breadcrumbs swit... Closed 04/23/2018

Related to Docker - Bug #23261: Resource switcher introduced in Foreman 1.18 ... New 04/12/2018

Related to Foreman - Bug #23487: Breadcrumbs resource switcher does not suppo... Closed 05/03/2018

Related to Foreman - Bug #23521: BreadcrumbBar name_field should support nest... Closed 05/06/2018

Related to Foreman - Bug #23525: add a breadcrumbs switcher in compute attrib... New 05/07/2018

Related to Foreman - Bug #23527: enable breadcrumbs switcher in trends pages Closed 05/07/2018

Related to Foreman - Bug #25169: CVE-2018-14664 - Persisted XSS on all pages ... Closed

Associated revisions

Revision 833e2aef - 04/11/2018 10:56 AM - Amir Fefer

Fixes #22855 - Add full breadcrumbs functionality

History

#1 - 03/12/2018 02:23 PM - Walden Raines

- Subject changed from Add redux container for breadcrumbs to Add redux container for breadcrumb switcher

#2 - 03/27/2018 03:25 PM - Walden Raines

- Target version changed from 250 to 253

#3 - 04/03/2018 03:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5396 added

#4 - 04/11/2018 10:56 AM - Ohad Levy
- translation missing: en.field_release set to 330

#5 - 04/11/2018 10:56 AM - Ohad Levy

- Related to Feature #22236: Add breadcrumbs to foreman UI added

#6 - 04/11/2018 11:02 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 833e2aef24d6f3cb6eae90213ea198dd354a5709.

#7 - 04/11/2018 12:27 PM - Amir Fefer

- Related to Bug #23222: Breadcrumbs switcher should be enabled on puppet class pages added

#8 - 04/11/2018 12:53 PM - Tomer Brisker

- Related to Bug #23225: breadcrumb switcher on host show page breaks if vm tab fails to load added

#9 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Bug #23251: Breadcrumbs switcher needs visual adjustments added

#10 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Bug #23250: Breadcrumb switcher links doesn't work on smart proxy page when Katello is installed added

#11 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Bug #23248: Breadcrumbs switcher uses wrong ids on compute attributes detail page added

#12 - 04/12/2018 10:40 AM - Tomáš Strachota

- Related to Bug #23246: Breadcrumb switcher causes warnings in browser console added

#13 - 04/12/2018 11:00 AM - Ohad Levy

- Related to Bug #23249: In some pages, the bredcumb-switcher show infinity list of pages added

#14 - 04/12/2018 02:25 PM - Marek Hulán

- Related to Bug #23259: Resource switcher introduced in Foreman 1.18 does not work since it can't load resoruces added

#15 - 04/12/2018 02:28 PM - Marek Hulán

- Related to Bug #23260: Resource switcher introduced in Foreman 1.18 does not work since it can't load resoruces added

#16 - 04/27/2018 04:56 PM - Ohad Levy

- Related to Feature #23364: Add search input to the breadcrumbs switcher added

#17 - 05/03/2018 01:35 PM - Marek Hulán

- Related to Bug #23261: Resource switcher introduced in Foreman 1.18 does not work since it can't load resoruces added

#18 - 05/03/2018 02:17 PM - Marek Hulán

- Related to Bug #23487: Breadcrumbs resource switcher does not support namespaced plugins added

#19 - 05/06/2018 01:13 PM - Avi Sharvit

- Related to Bug #23521: BreadcrumbBar name_field should support nested fields added

#20 - 05/07/2018 08:37 AM - Amir Fefer

- Related to Bug #23525: add a breadcrumbs switcher in compute attribute page added

#21 - 05/07/2018 09:53 AM - Amir Fefer

- Related to Bug #23527: enable breadcrumbs switcher in trends pages added

#22 - 06/18/2018 08:57 PM - Walden Raines
- Target version deleted (253)

#23 - 10/10/2018 01:31 PM - Marek Hulán

- Related to Bug #25169: CVE-2018-14664 - Persisted XSS on all pages that use breadcrumbs added
